org.apache.cassandra.db.compaction

## Class LeveledManifest.CompactionCandidate

- java.lang.Object
- - org.apache.cassandra.db.compaction.LeveledManifest.CompactionCandidate

Enclosing class:
  LeveledManifest

    public static class LeveledManifest.CompactionCandidate
    extends java.lang.Object

### Field Summary

Fields
`int` `level`
`long` `maxSSTableBytes`
`java.util.Collection<SSTableReader>` `sstables`

### Constructor Summary

Constructors
Constructor and Description
`CompactionCandidate(java.util.Collection<SSTableReader> sstables, int level, long maxSSTableBytes)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sstables

    public final java.util.Collection<SSTableReader> sstables

#### level

    public final int level

#### maxSSTableBytes

    public final long maxSSTableBytes

### Constructor Detail

#### CompactionCandidate

    public CompactionCandidate(java.util.Collection<SSTableReader> sstables,
                               int level,
                               long maxSSTableBytes)